Tag: build.gradle

Versiones dinámicas (usando +) de dependencias en gradle

Estoy usando la compile 'com.localytics.android:library:3.8+' en mi proyecto. Quiero saber que es la última versión de esta dependencia que se escoge cuando se crea el release apk o cada vez que el usuario abra la aplicación (descargada de playstore).

La aplicación React Native no se iniciará cuando se use applicationIdSuffix

Estoy utilizando react-native-codepush@1.16.1-beta y parte de la configuración incluye especificar applicationIdSuffix. He configurado esto en una aplicación anterior en el pasado sin problemas (React Native 0.37). He encontrado este error dos veces con este proyecto (React Native 0.40). La primera vez que reconstruí todo mi proyecto y se fue. Comenzó a suceder de nuevo sin […]

Error de generación de Gradle con java 1.8, herramienta de compilación 2.2.0-alpha4, habilitar jackOptions

Estoy construyendo el proyecto android con gradle config abajo: Android Studio 2.1.2 Proyecto de archivo gradle: dependencies { classpath 'com.android.tools.build:gradle:2.2.0-alpha4' } Archivo gradle de la aplicación: android { compileSdkVersion 24 buildToolsVersion '24.0.0' defaultConfig { applicationId "<my_app_id>" minSdkVersion 17 targetSdkVersion 24 versionCode 1 versionName "1.0" jackOptions { enabled true } } compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility […]

Gradle no puede sincronizar incluso en la primera ejecución

He instalado la última versión de Android Studio en Windows 10. (lo que ya hice con otra versión y otras ventanas 10) está bien con SDK de Android, pero cuando se quiere cargar un proyecto que decía esto: Error: (23, 17) Error al resolver: junit: junit: 4.12 Y aquí está el registro: JsonSyntaxException: Analizar excepción […]

No se pudo ejecutar la compilación usando la distribución Gradle 'http://services.gradle.org/distributions/gradle-1.6-bin.zip'

Hay un error en el Android Studio si se construye el proyecto: El error en el Android Studio: Gradle: Der Befehl "C:\Program" ist entweder falsch geschrieben oder konnte nicht gefunden werden. FAILURE: Build failed with an exception. * What went wrong: Execution failed for task ':MyApplication:dexDebug'. > Running C:\Users\Michael\AppData\Local\Android\android-studio\sdk\build-tools\android-4.2.2\dx.bat failed. See output * Try: Run […]

App: mergeDebugResources error en Android Studio después de la actualización

Estoy recibiendo un error en la compilación / ejecución del proyecto de Android Studio. Error: : App: mergeDebugResources FAILED Error: Error de ejecución para la tarea ': app: mergeDebugResources'. Se ha producido un error en el procesamiento de archivos, consulte los registros para obtener más detalles. He pasado por el puesto en SO y he […]

El proyecto no se puede compilar después de actualizar a gradle: 2.1.0-alpha5

Tengo un proyecto de Android que funcionó perfectamente con pre-gradle: 2.1.0-alpha3 versiones. Ahora está lanzando este tipo de errores sin ninguna pista de cómo resolverlos: Error:Execution failed for task ':app:compileDebugJavaWithJavac'. > java.lang.NoSuchMethodError: com.google.common.collect.FluentIterable.append(Ljava/lang/Iterable;)Lcom/google/common/collect/FluentIterable; Es bastante extraño, hay una rama particular que durante los últimos cuatro o cinco días también se utiliza para lanzar objetos duplicados […]

Error Gradle – Error de ejecución para la tarea ': app: dexDebug'

Estoy tratando de añadir la MPAndroidChartLibrary a mi proyecto de Android Studio, sin embargo, cuando intento ejecutar la aplicación, sigue fallando con 1 error. No soy muy bueno con gradle, así que no sé realmente cuál va mal. Mi archivo gradle es el siguiente: apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion "21.0.2" defaultConfig { […]

Tarea de gradación de Android Google Appengine

Estoy tratando de escribir una tarea de gradle para mi aplicación de Android que inicia el servidor de desarrollador appengine de google, ejecuta una prueba y, a continuación, cierra el servidor. Lo que he probado hasta ahora se parece a esto: task runAppEngine (dependsOn: ":backend:appengineRun") <<{ //run test //stop development server } La tarea appengineRun […]

Actualizar Android construido herramienta A 18.0

Solía ​​utilizar Android Built-Tools 17 para construir un proyecto, ahora las herramientas que he actualizado a 18.0, Ahora cambio build.gradle: android { compileSdkVersion 18 buildToolsVersion "18.0.1" } Cuando ejecuto esto, estaba mal, Gradle: La ejecución falló para la tarea ': HandyHis: compileDebugAidl'. No pudo encontrar herramientas de compilación revisión 18.0.0 ¿Que debería hacer?

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.